PutOpParam.Op (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.web.resources, class: PutOpParam, enum: Op

Package org.apache.hadoop.hdfs.web.resources

# Enum Class PutOpParam.Op

java.lang.Object
java.lang.Enum<PutOpParam.Op>
org.apache.hadoop.hdfs.web.resources.PutOpParam.Op

All Implemented Interfaces:
  `Serializable`, `Comparable<PutOpParam.Op>`, `Constable`, `HttpOpParam.Op`

Enclosing class:
  PutOpParam

public static enum PutOpParam.Op extends Enum<PutOpParam.Op> implements HttpOpParam.Op
Put operations.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALLOWSNAPSHOT`
  `CANCELDELEGATIONTOKEN`
  `CREATE`
  `CREATESNAPSHOT`
  `CREATESYMLINK`
  `DISABLEECPOLICY`
  `DISALLOWSNAPSHOT`
  `ENABLEECPOLICY`
  `MKDIRS`
  `MODIFYACLENTRIES`
  `NULL`
  `REMOVEACL`
  `REMOVEACLENTRIES`
  `REMOVEDEFAULTACL`
  `REMOVEXATTR`
  `RENAME`
  `RENAMESNAPSHOT`
  `RENEWDELEGATIONTOKEN`
  `SATISFYSTORAGEPOLICY`
  `SETACL`
  `SETECPOLICY`
  `SETOWNER`
  `SETPERMISSION`
  `SETQUOTA`
  `SETQUOTABYSTORAGETYPE`
  `SETREPLICATION`
  `SETSTORAGEPOLICY`
  `SETTIMES`
  `SETXATTR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getDoOutput()`
  `int`
  `getExpectedHttpResponseCode()`
  `boolean`
  `getRedirect()`
  `boolean`
  `getRequireAuth()`
  `HttpOpParam.Type`
  `getType()`
  `String`
  `toQueryString()`
  `static PutOpParam.Op`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PutOpParam.Op[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CREATE

    public static final PutOpParam.Op CREATE

  - ### MKDIRS

    public static final PutOpParam.Op MKDIRS

  - ### CREATESYMLINK

    public static final PutOpParam.Op CREATESYMLINK

  - ### RENAME

    public static final PutOpParam.Op RENAME

  - ### SETREPLICATION

    public static final PutOpParam.Op SETREPLICATION

  - ### SETOWNER

    public static final PutOpParam.Op SETOWNER

  - ### SETPERMISSION

    public static final PutOpParam.Op SETPERMISSION

  - ### SETTIMES

    public static final PutOpParam.Op SETTIMES

  - ### RENEWDELEGATIONTOKEN

    public static final PutOpParam.Op RENEWDELEGATIONTOKEN

  - ### CANCELDELEGATIONTOKEN

    public static final PutOpParam.Op CANCELDELEGATIONTOKEN

  - ### MODIFYACLENTRIES

    public static final PutOpParam.Op MODIFYACLENTRIES

  - ### REMOVEACLENTRIES

    public static final PutOpParam.Op REMOVEACLENTRIES

  - ### REMOVEDEFAULTACL

    public static final PutOpParam.Op REMOVEDEFAULTACL

  - ### REMOVEACL

    public static final PutOpParam.Op REMOVEACL

  - ### SATISFYSTORAGEPOLICY

    public static final PutOpParam.Op SATISFYSTORAGEPOLICY

  - ### SETACL

    public static final PutOpParam.Op SETACL

  - ### SETXATTR

    public static final PutOpParam.Op SETXATTR

  - ### REMOVEXATTR

    public static final PutOpParam.Op REMOVEXATTR

  - ### ENABLEECPOLICY

    public static final PutOpParam.Op ENABLEECPOLICY

  - ### DISABLEECPOLICY

    public static final PutOpParam.Op DISABLEECPOLICY

  - ### SETECPOLICY

    public static final PutOpParam.Op SETECPOLICY

  - ### ALLOWSNAPSHOT

    public static final PutOpParam.Op ALLOWSNAPSHOT

  - ### DISALLOWSNAPSHOT

    public static final PutOpParam.Op DISALLOWSNAPSHOT

  - ### CREATESNAPSHOT

    public static final PutOpParam.Op CREATESNAPSHOT

  - ### RENAMESNAPSHOT

    public static final PutOpParam.Op RENAMESNAPSHOT

  - ### SETSTORAGEPOLICY

    public static final PutOpParam.Op SETSTORAGEPOLICY

  - ### SETQUOTA

    public static final PutOpParam.Op SETQUOTA

  - ### SETQUOTABYSTORAGETYPE

    public static final PutOpParam.Op SETQUOTABYSTORAGETYPE

  - ### NULL

    public static final PutOpParam.Op NULL

- ## Method Details

  - ### values

    public static PutOpParam.Op[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PutOpParam.Op valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public HttpOpParam.Type getType()
    Specified by:
      `getType` in interface `HttpOpParam.Op`
    Returns:
      the Http operation type.

  - ### getRequireAuth

    public boolean getRequireAuth()
    Specified by:
      `getRequireAuth` in interface `HttpOpParam.Op`
    Returns:
      true if the operation cannot use a token

  - ### getDoOutput

    public boolean getDoOutput()
    Specified by:
      `getDoOutput` in interface `HttpOpParam.Op`
    Returns:
      true if the operation will do output.

  - ### getRedirect

    public boolean getRedirect()
    Specified by:
      `getRedirect` in interface `HttpOpParam.Op`
    Returns:
      true if the operation will be redirected.

  - ### getExpectedHttpResponseCode

    public int getExpectedHttpResponseCode()
    Specified by:
      `getExpectedHttpResponseCode` in interface `HttpOpParam.Op`
    Returns:
      true the expected http response code.

  - ### toQueryString

    public String toQueryString()
    Specified by:
      `toQueryString` in interface `HttpOpParam.Op`
    Returns:
      a URI query string.